.App {
  height: 100%;
}

.App ul {
  padding: 0;
  list-style-type: none;
}

.App .columns {
  display: flex;
  flex-direction: row;
  height: 100%;
  margin: 0;
  padding: 1rem;
}

.App .columns > li {
  width: 50%;
  max-width: 500px;
}
.App .columns > li:not(:last-of-type) {
  margin-right: 1rem;
}
.App .status > header, .App .status > ul {
  background-color: #ffffff;
}

.App .status {
  height: 100%;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: max-content 1fr;
}

.App .status > ul {
  margin-top: .3rem;
  padding: .5rem;
}

.App .status > ul > li {
  padding: 0;
  padding-bottom: .5rem;
}

.App .status header {
  text-transform: uppercase;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.App .applicant {
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 3px;
  box-shadow: 1px 1px 3px 2px #00000020;
  display: flex;
  flex-direction: column;
  cursor: pointer;
}

.App .applicant > * {
  display: flex;
  flex-direction: row;
  padding: 1rem;
}

.App .applicant > footer {
  border-top: 1px solid #eee;
  margin-top: 1rem;
}

.App .applicant > div > div {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.App .status img {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  background-color: #ddd;
  margin-right: 1rem;
  /* prevents image drag instead of card */
  pointer-events: none;
}

.App h2 {
  margin: 1rem;
  font-size: 1.2rem;
  font-weight: 900;
}

.App h3, .App h4 {
  margin: 0;
}

.App h4 {
  color: #AAA;
  font-weight: 500;
}

.App .badge {
  background-color: #E3E6EB;
  color: #1F2F57;
  font-weight: bolder;
  display: inline-block;
  min-width: 1.5rem;
  padding: .2rem .3rem;
  border-radius: 50%;
  font-size: 0.9rem;
  text-align: center;
}

.App .targetPlaceholder > div {
  background-color: gray;
}

.App .status > ul > li.dragged .applicant {
/*
  This saved the day:
  https://stackoverflow.com/questions/36379184/html5-draggable-hide-original-element#answer-36379727
*/
  transition: 0.01s;
  transform: translateX(-9999px);
}
